## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate lock_api

Name:           rust-lock_api
Version:        0.4.11
Release:        %autorelease
Summary:        Wrappers to create fully-featured Mutex and RwLock types

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/lock_api
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Wrappers to create fully-featured Mutex and RwLock types. Compatible
with no_std.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arc_lock-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arc_lock-devel %{_description}

This package contains library source intended for building other packages which
use the "arc_lock" feature of the "%{crate}" crate.

%files       -n %{name}+arc_lock-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+atomic_usize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+atomic_usize-devel %{_description}

This package contains library source intended for building other packages which
use the "atomic_usize" feature of the "%{crate}" crate.

%files       -n %{name}+atomic_usize-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nightly-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nightly-devel %{_description}

This package contains library source intended for building other packages which
use the "nightly" feature of the "%{crate}" crate.

%files       -n %{name}+nightly-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+owning_ref-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+owning_ref-devel %{_description}

This package contains library source intended for building other packages which
use the "owning_ref" feature of the "%{crate}" crate.

%files       -n %{name}+owning_ref-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Jan 10 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.4.11-1
- Rebuilt for MSVSphere 9.3

* Wed Oct 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.11-1
- Update to version 0.4.11; Fixes RHBZ#2244737

* Wed Jun 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.4.10-1
- Update to version 0.4.10; Fixes RHBZ#2212573

* Wed Oct 05 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.9-1
- Update to version 0.4.9; Fixes RHBZ#2128461

* Fri Sep 02 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.8-1
- Update to version 0.4.8; Fixes RHBZ#2121999

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Mar 30 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.7-1
- Update to version 0.4.7; Fixes RHBZ#2070232

* Thu Mar 03 2022 Fabio Valentini <decathorpe@gmail.com> - 0.4.6-1
- Update to version 0.4.6; Fixes RHBZ#2047889

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Aug 28 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.5-1
- Update to version 0.4.5; Fixes RHBZ#1998686

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu May 13 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.4-1
- Update to version 0.4.4.
- Fixes RHBZ#1955853

* Fri Apr 30 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.3-1
- Update to version 0.4.3.
- Fixes RHBZ#1945995

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 19 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.2-1
- Update to version 0.4.2.
- Fixes RHBZ#1898770

* Tue Aug 25 2020 Josh Stone <jistone@redhat.com> - 0.4.1-1
- Update to 0.4.1

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Apr 14 2020 Josh Stone <jistone@redhat.com> - 0.3.4-1
- Update to 0.3.4

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Jan 07 2020 Josh Stone <jistone@redhat.com> - 0.3.3-1
- Update to 0.3.3

* Sat Dec 07 2019 Josh Stone <jistone@redhat.com> - 0.3.2-1
- Update to 0.3.2

* Sun Aug 04 13:44:17 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.1-1
- Update to 0.3.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jun 22 09:18:00 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-3
- Regenerate

* Sun Jun 09 15:44:13 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-2
- Regenerate

* Mon May 06 15:35:35 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0

* Sun Mar 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.5-3
- Do not pull optional dependencies

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Nov 26 2018 Josh Stone <jistone@redhat.com> - 0.1.5-1
- Update to 0.1.5

* Sat Oct 27 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.4-3
- Adapt to new packaging

* Sun Oct 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.4-2
- Run tests in infrastructure

* Fri Sep 28 2018 Josh Stone <jistone@redhat.com> - 0.1.4-1
- Update to 0.1.4

* Mon Sep 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.3-1
- Initial package

